unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, sqlite3conn, sqldb, db, FileUtil, LResources, Forms,
  Controls, Graphics, Dialogs, DBGrids, DbCtrls, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    DBEdit1: TDBEdit;
    DBGrid1: TDBGrid;
    DBLookupComboBox1: TDBLookupComboBox;
    Label1: TLabel;
    Label2: TLabel;
    PersonaQuerynombre: TStringField;
    PersonaQuerynombre1_1: TStringField;
    PersonaQueryrol: TLongintField;
    RolQuerycodigo: TLongintField;
    RolQuerynombre: TStringField;
    RolSource: TDatasource;
    PersonaSource: TDatasource;
    SQLite3Connection1: TSQLite3Connection;
    PersonaQuery: TSQLQuery;
    RolQuery: TSQLQuery;
    SQLTransaction1: TSQLTransaction;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  SQLite3Connection1.Open;
  RolQuery.Open;
  PersonaQuery.Open;
end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  PersonaQuery.Close;
  RolQuery.Close;
  SQLite3Connection1.Close;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  PersonaQuery.Post;
  PersonaQuery.ApplyUpdates;
  SQLTransaction1.CommitRetaining;
end;

initialization
  {$I unit1.lrs}

end.

